@echo off
rem @(#)86  1.8  src/hc/report/operational/bin/publish.bat, hc.report, scmweb, 041213a  12/3/04  15:45:04
rem
rem  COMPONENT_NAME:  hc.report
rem
rem  FUNCTION:
rem    This script is used for publishing SCM reports to Crystal APS using Tivolicrystal publisher.
rem
rem  Licensed Materials - Property of IBM Corporation
rem
rem  5724-F82
rem
rem  (C) Copyright IBM Corp. 2004
rem  All Rights Reserved
rem
rem  US Government Users Restricted Rights - Use, duplication or
rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem


setlocal
goto START

:USAGE
echo Usage: publish -r ^<reports directory^> -h ^<hostname^> -au ^<aps user^> -ap ^<aps password^> -du ^<db user^> -dp ^<db password^> -l ^<log file path^>
echo Where:	
echo    reports directory  : Directory that contains the reports (.rpt and .xml files).
echo    hostname           : Name of the Crystal Enterprise 9 server system.
echo    aps user           : User ID of Crystal Enterprise Administrator.
echo    aps password       : Crystal Enterprise Administrator's password.
echo    db user            : User ID for accessing the DB2 database server.
echo    db password        : Password associated with DB2 user ID.
echo    log file path      : Directory to contain the messages produced by publish.bat
echo.
goto NOOP

:START
if [%1]==[] (call :USAGE && goto END)
set APS_PASSWD_SPECIFIED=0

:LOOP
if [%1]==[] goto CONTINUE
	set option=%1
	if "%option%"=="-r" (
		if not [%2] == [] (
			set RPTDIR=%~2 
	        ) else (
			echo The required value for the -r option was not specified. && call :USAGE && goto END
		)
	) else (
	if "%option%"=="-h" (
		if not [%2] == [] (
			set APS=%~2 
		) else (
			echo The required value for the -h option was not specified. && call :USAGE && goto END
		)
	) else (
	if "%option%"=="-au"  (
		if not [%2] == [] (	
		set APSUSER=%~2
		) else (
			echo The required value for the -au option was not specified. && call :USAGE && goto END
		)
	) else (
	if "%option%"=="-ap" (
		if not [%2] == [] (
		set APSPASSWD=%~2
		set APS_PASSWD_SPECIFIED=1
		) else (
			echo The required value for the -ap option was not specified. && call :USAGE && goto END
		)
	) else (
	if "%option%"=="-du" (
		if not [%2] == [] (
			set DBUSER=%~2
		) else (
			echo The required value for the -du option was not specified. && call :USAGE && goto END
		)
	) else (
	if "%option%"=="-dp" (
		if not [%2] == [] (
			set DBPASSWD=%~2 
		) else (
			echo The required value for the -dp option was not specified. && call :USAGE && goto END
		)
	) else (
	if "%option%"=="-l" (
		if not [%2] == [] (
			set LOGPATH=%~2
		) else (
			echo The required value for the -l option was not specified. && call :USAGE && goto END
		)
	) else (
		echo Unrecognized option: %option%
		call :USAGE
		goto END
	)))))))

:NEXT_PARAM
	shift
	shift
goto LOOP

:CONTINUE

rem -- check reports directory
:CHECK_RPT_DIR
if "%RPTDIR%"=="" (
	echo The required -r ^<reports directory^> parameter is missing.
	call :USAGE
    	goto END
)

rem -- check crystal server hostname
:CHECK_HOST_NAME
if "%APS%"=="" (
	echo The required -h ^<hostname^> parameter is missing.
	call :USAGE
	goto END
)

rem -- check crystal server user 
:CHECK_APS_USER
if "%APSUSER%"=="" (
	echo The required -au ^<aps user^> parameter is missing.
	call :USAGE
	goto END
)


rem -- check crystal server administrator password
:CHECK_APS_PASSWD
if "%APS_PASSWD_SPECIFIED%"=="0" (
	echo The required -ap ^<aps password^> parameter is missing.
	call :USAGE
	goto END
)


rem -- check db user
:CHECK_DB2_USER
if "%DBUSER%"=="" (
	echo The required -du ^<db user^> parameter is missing. 
	call :USAGE
	goto END
)

rem -- check db password
:CHECK_DB2_PASSWD
if "%DBPASSWD%"=="" (
	echo The required -dp ^<db password^> parameter is missing.
	call :USAGE
	goto END
)

rem -- check log file path
:CHECK_LOG_PATH
if "%LOGPATH%"=="" (
	echo The required -l ^<log file path^> parameter is missing. 
	call :USAGE
	goto END
)


TivoliCrystalPublisher.exe -sourcepath %RPTDIR% -destfolder "ITSCM Operational reports"  -aps %APS% -apsuser %APSUSER% -apspassword %APSPASSWD% -apsauth secEnterprise -dbserver SCM_DB -dbdatabase JAC -dbuser %DBUSER% -dbpassword %DBPASSWD% -overwrite 2 -logpath %LOGPATH% -loglevel 4


:END
endlocal
@echo on

:NOOP
